INSTALL(1)

NAZWA
install - kopiuje pliki i nadaje im atrybuty

SKŁADNIA
install [OPCJA]... [-T] ŹRÓDŁO CEL
install [OPCJA]... ŹRÓDŁO... KATALOG
install [OPCJA]... -t KATALOG ŹRÓDŁO...
install [OPCJA]... -d KATALOG...

OPIS

This install program copies files (often just compiled) into destination locations you choose. If you want to download and install a ready-to-use package on a GNU/Linux system, you should instead be using a package manager like yum(1) or apt-get(1).

W pierwszych trzech formatach, program kopiuje ŹRÓDŁO do CELU lub wiele ŹRÓDEŁ do istniejącego KATALOGU oraz ustanawia uprawnienia oraz właściciela i grupę. W czwartej formie, tworzy wszystkie składowe w podanym jednym lub wielu KATALOGACH.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--backup[=METODA]
    tworzy kopię zapasową każdego istniejącego pliku docelowego

-b  jak --backup, lecz nie przyjmuje argumentu

-c  (ignorowane)

-C, --compare
    compare content of source and destination files, and if no change to content, ownership, and permissions, do not modify the destination at all

-d, --directory
    traktuje wszystkie argumenty jako nazwy katalogów, tworzy wszystkie składowe określonych katalogów

-D  tworzy wszystkie składowe CELU z wyjątkiem ostatniej lub wszystkie składowe z --target-directory, po czym kopiuje ŹRÓDŁO do CELU

-g, --group=GRUPA
    ustawia GRUPĘ, zamiast bieżącej grupy procesu

-m, --mode=TRYB
    ustawia TRYB uprawnień (jak za pomocą polecenia chmod), zamiast domyślnego rwxr-xr-x

-o, --owner=WŁAŚCICIEL
    ustawia WŁAŚCICIELA (dostępne tylko dla administratora)

-p, --preserve-timestamps
    ustawia czas dostępu/modyfikacji plikom docelowym, zgodnie z odpowiadającymi im plikami ŹRÓDŁOWYMI

-s, --strip
    usuwa tablice symboli

--strip-program=PROGRAM
    program używany do kasowania tablicy symboli plików binarnych

-S, --suffix=PRZYROSTEK
    używa podanego przyrostka kopii zapasowej zamiast domyślnego

-t, --target-directory=KATALOG
    kopiuje wszystkie argumenty ŹRÓDŁA do KATALOGU

-T, --no-target-directory
    traktuje CEL jako zwykły plik

-v, --verbose
    wyświetla nazwę każdego tworzonego katalogu

--preserve-context
    zachowuje kontekst bezpieczeństwa SELinux

-Z  ustawia kontekst bezpieczeństwa SELinux docelowego pliku i każdego utworzonego katalogu na domyślny

--context=KONTEKST
    jak -Z lub jeśli poda się KONTEKST - ustawia kontekst bezpieczeństwa SELinux lub SMACK na KONTEKST

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Przyrostkiem kopii zapasowej jest ~, chyba że ustawiono inny opcją --suffix lub SIMPLE_BACKUP_SUFFIX. Metoda kontroli wersji może zostać wybrana opcją --backup lub zmienną środowiskową VERSION_CONTROL. Dostępne opcje:

none, off
    nigdy nie tworzy kopii zapasowych (nawet jeśli podano opcję --backup)

numbered, t
    tworzy kopie numerowane

existing, nil
    numerowane jeśli istniejące kopie są numerowane, w przeciwnym wypadku proste

simple, never
    zawsze tworzy proste kopie zapasowe

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2022 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/install>
lub lokalnie, za pomocą info '(coreutils) install invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Łukasz Kowalczyk <lukow@tempac.okwf.fuw.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.